/// <reference types="node" />
/**
 * Info required for offline invitations.
 */
export interface SecretInfo {
    id: any;
    authNonce: any;
}
/**
 * Provides a shared secret during an invitation process.
 */
export type SecretProvider = (info?: SecretInfo) => Promise<Buffer>;
/**
 * Validates the shared secret during an invitation process.
 */
export type SecretValidator = (invitation: never, secret: Buffer) => Promise<boolean>;
export declare const defaultSecretProvider: SecretProvider;
export declare const defaultSecretValidator: SecretValidator;
//# sourceMappingURL=invitations.d.ts.map